%global momorel 1
Summary:	An image viewer and browser for GNOME.
Name:		gthumb
Version: 2.3.3
Release: %{momorel}m
License:	GPL
URL:		http://gthumb.sourceforge.net/
Group:		Applications/Multimedia
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.3/%{name}-%{version}.tar.bz2 d9be6b9812116d01fa0d6c5325eb6eda

Patch1: gthumb-1.106-configure.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prereq:		scrollkeeper
Prereq:		GConf
BuildPrereq: libgnomeprint-devel
BuildPrereq: libgnomeprintui-devel
BuildPrereq: libglade-devel
BuildPrereq: libgnomecanvas-devel
BuildPrereq: glib-devel
BuildPrereq: bonobo-activation-devel
BuildPrereq: gnome-vfs-devel
BuildPrereq: gtk+-devel
BuildPrereq: libbonoboui-devel
BuildPrereq: libbonobo-devel
BuildPrereq: libxml2-devel
BuildPrereq: libgnomeui-devel
BuildPrereq: libgnome-devel

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%prep
%setup -q 
%patch1 -p1

%build
aclocal
automake --add-missing --copy
autoheader
autoconf
%configure
make -j%{_numjobs} AUTOCONF=autoconf-2.53 || make AUTOCONF=autoconf-2.53

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

# remove
%__rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in gthumb.schemas; do
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update

%postun
scrollkeeper-update

%changelog
* Sat May  8 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.3.3-1m)
- update to 2.3.3

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.1-2m)
- revised spec for enabling rpm 4.2.

* Fri Feb  6 2004 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.2.1-1m)
- update to 2.2.1

* Sat Dec 20 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.2.0-1m)
- update to 2.2.0

* Mon Dec 15 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (2.1.9-1m)
- update to 2.1.9

* Sun Nov 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.1.7-2m)
- s/Copyright:/License:/

* Thu Oct 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.7-1m)
- version 2.1.7

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.6-1m)
- version 2.1.6

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.5-1m)
- version 2.1.5

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.4-1m)
- version 2.1.4

* Wed Aug 6 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (2.1.3-2m)
- rebuild against libexif-0.5.12

* Tue Jul 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.3-1m)
- version 2.1.3

* Thu May 08 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.2-1m)
- version 2.1.2

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-2m)
- rebuild against for XFree86-4.3.0

* Mon Mar 17 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.1-1m)
- version 2.1.1

* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.1.0-2m)
  rebuild against openssl 0.9.7a

* Mon Mar 03 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.1.0-1m)
- version 2.1.0

* Tue Jan 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.1-1m)
- version 2.0.1

* Wed Jan 22 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.0.0-1m)
- version 2.0.0

* Tue Jan 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.108-1m)
- version 1.108

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.107-1m)
- version 1.107

* Mon Dec 23 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.106-2m)
- for autoconf-2.56

* Mon Dec 02 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.106-1m)
- version 1.106

* Mon Nov 18 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.105-1m)
- version 1.105

* Tue Aug 13 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.103-2m)
- s/BuileRequires/BuildPrereq/
- remove Vendor,Packager tag
- change BuildPrereq packages
- change BuildRoot
- grab %{_datadir}/gthumb directory
- add scrollkeeper-omf file
- add Prereq: scrollkeeper

* Mon Aug 12 2002 Kentarou Shionhara <puntium@momonga-linux.org>
- (1.103-1m)
- version update to 1.103

* Wed Jul 31 2002 Kentarou Shinohara <puntium@momonga-linux.org>
- (1.102-1m)
- initial import into Momonga HEAD

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%{_sysconfdir}/gconf/schemas/gthumb.schemas
%{_bindir}/gthumb
#%{_libdir}/libgthumb.so
%{_libdir}/bonobo/servers/*.server
%{_libdir}/gthumb
%{_mandir}/man1/gthumb.1*
%doc %{_datadir}/omf/gthumb
%{_datadir}/gnome-2.0/ui/*.xml
%doc %{_datadir}/gnome/help/gthumb
%{_datadir}/gthumb
%{_datadir}/application-registry/gthumb.applications
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gthumb.desktop
%{_datadir}/pixmaps/gthumb.png
%{_libexecdir}/*
